from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import String, Boolean, File, Int

Phylophlan_Get_Reference_V0_1_0 = CommandToolBuilder(tool="phylophlan_get_reference", base_command=["phylophlan_get_reference"], inputs=[ToolInput(tag="in_get", input_type=String(optional=True), prefix="--get", doc=InputDocumentation(doc="Specify the taxonomic label for which download the set\nof reference genomes. The label must represent a valid\ntaxonomic level or the special case 'all' (default:\nNone)")), ToolInput(tag="in_list_clades", input_type=Boolean(optional=True), prefix="--list_clades", doc=InputDocumentation(doc="Print for all taxa the total number of species and\nreference genomes available (default: False)")), ToolInput(tag="in_database_update", input_type=Boolean(optional=True), prefix="--database_update", doc=InputDocumentation(doc="Update the databases file (default: False)")), ToolInput(tag="in_output_file_extension", input_type=File(optional=True), prefix="--output_file_extension", doc=InputDocumentation(doc="Specify path to the extension of the output files\n(default: .fna.gz)")), ToolInput(tag="in_output", input_type=File(optional=True), prefix="--output", doc=InputDocumentation(doc="Specify path to the output folder where to save the\nfiles, required when -g/--get is specified (default:\nNone)")), ToolInput(tag="in_how_many", input_type=Int(optional=True), prefix="--how_many", doc=InputDocumentation(doc="Specify how many reference genomes to download, where\n-1 stands for 'all available' (default: 4)")), ToolInput(tag="in_genbank_mapping", input_type=File(optional=True), prefix="--genbank_mapping", doc=InputDocumentation(doc="The local GenBank mapping file, if not found it will\nbe automatically downloaded (default:\nassembly_summary_genbank.txt)")), ToolInput(tag="in_verbose", input_type=Boolean(optional=True), prefix="--verbose", doc=InputDocumentation(doc="Prints more stuff (default: False)"))], outputs=[ToolOutput(tag="out_output_file_extension", output_type=File(optional=True), selector=InputSelector(input_to_select="in_output_file_extension", type_hint=File()), doc=OutputDocumentation(doc="Specify path to the extension of the output files\n(default: .fna.gz)")), ToolOutput(tag="out_output", output_type=File(optional=True), selector=InputSelector(input_to_select="in_output", type_hint=File()), doc=OutputDocumentation(doc="Specify path to the output folder where to save the\nfiles, required when -g/--get is specified (default:\nNone)"))], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Phylophlan_Get_Reference_V0_1_0().translate("wdl", allow_empty_container=True)

